Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 195)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 196)
@@ -3928,11 +4030,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_563
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_phys.exe" GOTO end_if_copy_564
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_578
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_phys.exe" GOTO end_if_copy_579
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_phys.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_564
-:end_if_release_563
+:end_if_copy_579
+:end_if_release_578
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3943,11 +4045,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_565
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_baker_hausdorf.exe" GOTO end_if_copy_566
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_580
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_baker_hausdorf.exe" GOTO end_if_copy_581
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_baker_hausdorf.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_566
-:end_if_release_565
+:end_if_copy_581
+:end_if_release_580
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3958,11 +4060,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_567
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_objectML.exe" GOTO end_if_copy_568
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_582
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_objectML.exe" GOTO end_if_copy_583
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_objectML.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_568
-:end_if_release_567
+:end_if_copy_583
+:end_if_release_582
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3973,11 +4075,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_569
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_xml.exe" GOTO end_if_copy_570
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_584
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_xml.exe" GOTO end_if_copy_585
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_xml.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_570
-:end_if_release_569
+:end_if_copy_585
+:end_if_release_584
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3988,11 +4090,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_571
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_zip.exe" GOTO end_if_copy_572
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_586
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_zip.exe" GOTO end_if_copy_587
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_zip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_572
-:end_if_release_571
+:end_if_copy_587
+:end_if_release_586
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4003,11 +4105,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_573
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_client.exe" GOTO end_if_copy_574
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_588
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_client.exe" GOTO end_if_copy_589
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_client.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_574
-:end_if_release_573
+:end_if_copy_589
+:end_if_release_588
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4018,11 +4120,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_575
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_server.exe" GOTO end_if_copy_576
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_590
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_server.exe" GOTO end_if_copy_591
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_server.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_576
-:end_if_release_575
+:end_if_copy_591
+:end_if_release_590
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4033,11 +4135,11 @@
 IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HCL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_577
-IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL_example.exe" GOTO end_if_copy_578
+IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HCL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_592
+IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL_example.exe" GOTO end_if_copy_593
   COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_578
-:end_if_release_577
+:end_if_copy_593
+:end_if_release_592
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4048,11 +4150,11 @@
 IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Midnight_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_579
-IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight_example.exe" GOTO end_if_copy_580
+IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Midnight_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_594
+IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight_example.exe" GOTO end_if_copy_595
   COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_580
-:end_if_release_579
+:end_if_copy_595
+:end_if_release_594
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4063,11 +4165,11 @@
 IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_581
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_DemoGaussSim.exe" GOTO end_if_copy_582
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_596
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_DemoGaussSim.exe" GOTO end_if_copy_597
   COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_DemoGaussSim.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_582
-:end_if_release_581
+:end_if_copy_597
+:end_if_release_596
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4078,11 +4180,11 @@
 IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_583
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest.exe" GOTO end_if_copy_584
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_598
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest.exe" GOTO end_if_copy_599
   COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_584
-:end_if_release_583
+:end_if_copy_599
+:end_if_release_598
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4093,11 +4195,11 @@
 IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_585
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest2.exe" GOTO end_if_copy_586
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_600
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest2.exe" GOTO end_if_copy_601
   COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_586
-:end_if_release_585
+:end_if_copy_601
+:end_if_release_600
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4108,11 +4210,11 @@
 IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_587
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest3.exe" GOTO end_if_copy_588
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_602
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest3.exe" GOTO end_if_copy_603
   COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_588
-:end_if_release_587
+:end_if_copy_603
+:end_if_release_602
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4123,11 +4225,11 @@
 IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_589
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest4.exe" GOTO end_if_copy_590
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_604
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest4.exe" GOTO end_if_copy_605
   COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest4.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_590
-:end_if_release_589
+:end_if_copy_605
+:end_if_release_604
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4138,11 +4240,11 @@
 IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_591
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_ReneTest.exe" GOTO end_if_copy_592
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_606
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_ReneTest.exe" GOTO end_if_copy_607
   COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_ReneTest.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_592
-:end_if_release_591
+:end_if_copy_607
+:end_if_release_606
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -4153,117 +4255,7 @@
 IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_593
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad1FMain.exe" GOTO end_if_copy_594
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_608
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad1FMain.exe" GOTO end_if_copy_609
   COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad1FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_594
-:end_if_release_593
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_595
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad2FMain.exe" GOTO end_if_copy_596
-  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad2FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_596
-:end_if_release_595
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_597
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad3FMain.exe" GOTO end_if_copy_598
-  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad3FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_598
-:end_if_release_597
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_599
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad4FMain.exe" GOTO end_if_copy_600
-  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad4FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_600
-:end_if_release_599
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_601
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad8FMain.exe" GOTO end_if_copy_602
-  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad8FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_602
-:end_if_release_601
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_603
-IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad12FMain.exe" GOTO end_if_copy_604
-  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad12FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_604
-:end_if_release_603
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_605
-IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_rio.exe" GOTO end_if_copy_606
-  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_rio.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_606
-IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\rio.exe" GOTO end_if_copy_607
-  COPY "%obuild_Rio_path%\%obuild_dir_bin%\rio.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_607
-:end_if_release_605
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_608
-IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test.exe" GOTO end_if_copy_609
-  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -4273,12 +4265,12 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_610
-IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec.exe" GOTO end_if_copy_611
-  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_610
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad2FMain.exe" GOTO end_if_copy_611
+  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad2FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -4288,12 +4280,12 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_612
-IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec_read.exe" GOTO end_if_copy_613
-  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec_read.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_612
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad3FMain.exe" GOTO end_if_copy_613
+  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad3FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -4303,12 +4295,12 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r165p2`) DO SET obuild_HDF5_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HDF5_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_614
-IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\h5_array_compound.exe" GOTO end_if_copy_615
-  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\h5_array_compound.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_614
+IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad4FMain.exe" GOTO end_if_copy_615
+  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad4FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
